ghc-7.6.3: The GHC API

Safe Haskell | None

SPARC.ShortcutJump

# Documentation

data JumpDest

Constructors

DestBlockId BlockId |
DestImm Imm |

getJumpDestBlockId :: JumpDest -> Maybe BlockId

canShortcut :: Instr -> Maybe JumpDest

shortcutJump :: (BlockId -> Maybe JumpDest) -> Instr -> Instr

shortcutStatics :: (BlockId -> Maybe JumpDest) -> CmmStatics -> CmmStatics

shortBlockId :: (BlockId -> Maybe JumpDest) -> BlockId -> CLabel